security/libmultigest - The NetBSD Packages Collection

Multiple, concatenated digest value calculation library

libmultigest is a library interface to calculate multiple digests at
the same time, without having to re-scan data.  This is to protect
against any single digest algorithm being found to have second
pre-images.  Up to 32 digests can be specified on the command line.

The data being used as input to the digest can be modified by using a
regular expression-based substitution operation, so that any Version
Control System identifiers can be normalised before being digested.
If no substitution regular expression is provided, the input data will
be used as-is.

The list of digests provided is:

	BLAKE2, CRC32C, MD5, RMD160, SHA1, SHA256, SHA512,
	SHA3-224, SHA3-256, SHA3-384, SHA3-512, SIZE,
	TIGER, TIGER2, WHIRLPOOL

Build dependencies

pkgtools/cwrappers devel/libtool-base

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibmultigest-20150211.tgz
NetBSD 8.0earmv7hflibmultigest-20150211.tgz
NetBSD 8.0earmv7hflibmultigest-20150211.tgz
NetBSD 8.0i386libmultigest-20150211.tgz
NetBSD 8.0i386libmultigest-20150211.tgz
NetBSD 8.0powerpclibmultigest-20150211.tgz
NetBSD 8.0powerpclibmultigest-20150211.tgz
NetBSD 8.0powerpclibmultigest-20150211.tgz
NetBSD 8.0powerpclibmultigest-20150211.tgz
NetBSD 8.0x86_64libmultigest-20150211.tgz
NetBSD 8.0x86_64libmultigest-20150211.tgz
NetBSD 9.0aarch64libmultigest-20150211.tgz
NetBSD 9.0aarch64libmultigest-20150211.tgz
NetBSD 9.0aarch64libmultigest-20150211.tgz
NetBSD 9.0alphalibmultigest-20150211.tgz
NetBSD 9.0alphalibmultigest-20150211.tgz
NetBSD 9.0alphalibmultigest-20150211.tgz
NetBSD 9.0earmlibmultigest-20150211.tgz
NetBSD 9.0earmlibmultigest-20150211.tgz
NetBSD 9.0earmv6hflibmultigest-20150211.tgz
NetBSD 9.0earmv6hflibmultigest-20150211.tgz
NetBSD 9.0earmv6hflibmultigest-20150211.tgz
NetBSD 9.0earmv7hflibmultigest-20150211.tgz
NetBSD 9.0earmv7hflibmultigest-20150211.tgz
NetBSD 9.0earmv7hflibmultigest-20150211.tgz
NetBSD 9.0earmv7hflibmultigest-20150211.tgz
NetBSD 9.0i386libmultigest-20150211.tgz
NetBSD 9.0i386libmultigest-20150211.tgz
NetBSD 9.0i386libmultigest-20150211.tgz
NetBSD 9.0mips64eblibmultigest-20150211.tgz
NetBSD 9.0mips64eblibmultigest-20150211.tgz
NetBSD 9.0mips64eblibmultigest-20150211.tgz
NetBSD 9.0mips64eblibmultigest-20150211.tgz
NetBSD 9.0mips64eblibmultigest-20150211.tgz
NetBSD 9.0mipsellibmultigest-20150211.tgz
NetBSD 9.0mipsellibmultigest-20150211.tgz
NetBSD 9.0mipsellibmultigest-20150211.tgz
NetBSD 9.0powerpclibmultigest-20150211.tgz
NetBSD 9.0powerpclibmultigest-20150211.tgz
NetBSD 9.0powerpclibmultigest-20150211.tgz
NetBSD 9.0powerpclibmultigest-20150211.tgz
NetBSD 9.0sh3ellibmultigest-20150211.tgz
NetBSD 9.0sh3ellibmultigest-20150211.tgz
NetBSD 9.0sh3ellibmultigest-20150211.tgz
NetBSD 9.0sparc64libmultigest-20150211.tgz
NetBSD 9.0sparc64libmultigest-20150211.tgz
NetBSD 9.0sparc64libmultigest-20150211.tgz
NetBSD 9.0sparclibmultigest-20150211.tgz
NetBSD 9.0sparclibmultigest-20150211.tgz
NetBSD 9.0sparclibmultigest-20150211.tgz
NetBSD 9.0sparclibmultigest-20150211.tgz
NetBSD 9.0sparclibmultigest-20150211.tgz
NetBSD 9.0vaxlibmultigest-20150211.tgz
NetBSD 9.0vaxlibmultigest-20150211.tgz
NetBSD 9.0x86_64libmultigest-20150211.tgz
NetBSD 9.0x86_64libmultigest-20150211.tgz
NetBSD 9.0x86_64libmultigest-20150211.tgz
NetBSD 9.0x86_64libmultigest-20150211.tgz
NetBSD 9.0x86_64libmultigest-20150211.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.